Получить состояние домена
Возвратите диагностику работоспособности домена, ориентированную на клиента.
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain}/health \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain}/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain}/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cache_ttl_seconds": 123,
"cached": true,
"checked_at": "<string>",
"checks": {
"dns": {
"status": "healthy",
"a": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"dkim": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"dmarc": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"error": "<string>",
"mx": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"ns": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"spf": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
}
},
"ports": {
"status": "healthy",
"error": "<string>",
"imap_143": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"imaps_993": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"smtp_25": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"submission_587": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
}
},
"ssl": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"web": {
"status": "healthy",
"error": "<string>",
"http_root": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"http_www": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"https_root": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"https_www": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
}
}
},
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"summary_status": "healthy",
"timings_ms": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Авторизации
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Параметры запроса
Ответ
Сгруппированные результаты проверки работоспособности домена.
Hide child attributes
Hide child attributes
Датчики состояния, связанные с DNS.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Статус и сведения о проверке работоспособности отдельного домена.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Статус и сведения о проверке работоспособности отдельного домена.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Статус и сведения о проверке работоспособности отдельного домена.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Статус и сведения о проверке работоспособности отдельного домена.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Статус и сведения о проверке работоспособности отдельного домена.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Статус и сведения о проверке работоспособности отдельного домена.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Проверка доступности порта почтовой службы.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Статус и сведения о проверке работоспособности отдельного домена.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Статус и сведения о проверке работоспособности отдельного домена.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Статус и сведения о проверке работоспособности отдельного домена.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Статус и сведения о проверке работоспособности отдельного домена.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Статус и сведения о проверке работоспособности отдельного домена.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Датчики достижимости HTTP и HTTPS.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Статус и сведения о проверке работоспособности отдельного домена.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Статус и сведения о проверке работоспособности отдельного домена.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Статус и сведения о проверке работоспособности отдельного домена.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Статус и сведения о проверке работоспособности отдельного домена.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown healthy, warning, critical, unknown Была ли эта страница полезной?
